ネットワークエンジニア系ブログ。エンターテイメント、おすすめ映画、本、キッズ系などお役立ち情報を紹介!

GOISBLOG

WordPress

【緊急】エックスサーバーでいきなり505エラー!解決!

投稿日:2014年3月28日 更新日:

エックスサーバーでプラグインを更新したらいきなりエラーが発生!!

Broken Link Checkerの更新が掛かっていたのでいつも通り更新をして、記事を書いてたんです。
そんでもって、プレビューを確認したとき。


??!!
?????!!!

なっなんじゃこりゃー!!!

脂汗ダラダラ。
あまりの衝撃にしょんべん漏れそうになる始末。

緊急に対処しました。

原因はPHPのバージョン

PHP5.3.3を使用していたら、なぜか動かなくなってしまう現象みたいでした。

プラグインが原因なのかは定かではありませんが、少なくとも今回はBroken Link Checkerの更新をしたときに505エラーが発生したので、これが原因ではないかと踏んでおります.

とりあえず一番最新のPHP5.5.0へアップデートしたら治りました。

505-2

本気で勘弁してほしいです。。。

別の問題で505エラーが発生した記事も書いているので、よろしければこちらもご参考ください。
WordPressにログインできない問題を2つの手順で即解決!

スポンサーリンク


まとめ

じぶんはエックスサーバーを使用していますが、その他のレンタルサーバーでも同じことは起きているのではないでしょうか。
一応PHP5.3.3は推奨となっているので使ってはいたのですが、今回のプラグインBroken Link Checkerの更新でとんでもないことが起きましたので皆さんご注意を!!

それに、こういうことって結構ありますもんね。
じぶんは、いろいろいじりまくってたので、こういうこと結構ありました。

とりあえず、PHPのバージョンを上げれば、なおんじゃねって感じでサクサクってやっちゃいました。

あ。ほんとは死ぬほどビビりあがりましたが。。。

でも、セキュリティーにおいても、使い勝手にしろ、今のところレンタルサーバーではNo1ではないでしょうか。
かなりおすすめなので、一度試してみてください!



この記事が気に入ったら
いいね!しよう

Twitter で
スポンサーリンク

-WordPress
-

Copyright© GOISBLOG , 2016 AllRights Reserved.